Subject: bug#62486: closed (Re: bug#62486: "--without-x" is ignored when "--with-x-toolkit=no")

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 27 Mar 2023 15:58:04 +0000

Your bug report

#62486: "--without-x" is ignored when "--with-x-toolkit=no"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62486: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62486
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62486: "--without-x" is ignored when "--with-x-toolkit=no"
From: Gregory Heytings <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 27 Mar 2023 15:57:34 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

>
> make configure="--with-x-toolkit=no"
>
> You see the "no"? No matter of that the configure output tells me it is 
> build with X support.
>

That's a bit counter-intuitive, indeed, but building Emacs with 
"--with-x-toolkit=no" means that you ask a "no toolkit" built, in which 
Emacs does not depend on an external toolkit (GTK or Lucid) to draw its 
menu, toolbar and scrollbars.  That's different from a toolkit "without 
X".

This is not a bug.  Closing.

Subject: "--without-x" is ignored when "--with-x-toolkit=no"
From: [email-masked]
To: Bug gnu emacs <[email-masked]>
Date: Mon, 27 Mar 2023 13:48:12 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This is about building Emacs29.

I did someting like this

     make configure="--with-x-toolkit=no"

You see the "no"? No matter of that the configure output tells me it is 
build with X support.

I tried

     make configure="--with-x-toolkit=no --without-x"

Again X11 support enabled.

Then this is the only thing that works.

     make configure="--without-x"

No X11 support.

Not sure what happend here. Something interfered.

It is not well described in the docs how this switches work. I looked 
into INSTALL, INSTALL.REPO and ./configure --help